Subject: Re: Executing ssh from perl
From: Stephen Studley <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Nov 2004 09:03:39 -0800

At 1:28 AM +0100 11/20/04, Gerrit P. Haase wrote:
>Stephen Studley wrote:
>
>>At 4:30 PM -0500 11/18/04, Igor Pechtchanski wrote:
>>>perl -we 'my $str=`ssh -n user\@machine.domain ls`;print "[$str]\n"'
>>good idea, however same results, at least from my Windows machine.
>>The command-line perl works fine from my OSX machine.
>
>$ perl -we 'my $str=`ssh -n user\@machine.domain ls`;print "[$str]\n"'
>ssh: machine.domain: no address associated with name
>[]
>
>Actually this is working with cygwin perl as expected.
>

and it works for me as well, within cygwin perl. Should I not expect 
the same from the Windows perl interpreter?  Apparently not...

I have come up with a work around. The following gets me what I need.
system "$commands->[$i] 1> $stdout->[$p] 2> $stderr->[$p]";

Stephen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/